Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.loading
Class ClassLoadingTask

    java.lang.Object
      org.jboss.mx.loading.ClassLoadingTask

public class ClassLoadingTask
extends Object

An encapsulation of a UCL3.loadClass task.

Version:
  $Revision: 1.15 $
Author:
  Scott.Stark@jboss.org

Field Summary
`protected String` | `classname`
`static int` | `FINISHED`
`static int` | `FOUND_CLASS_LOADER`
`protected Class` | `loadedClass`
`protected Throwable` | `loadException`
`protected int` | `loadOrder`
`protected static org.jboss.logging.Logger` | `log`
`static int` | `NEXT_EVENT`
`protected int` | `numCCE`
`protected RepositoryClassLoader` | `requestingClassLoader`
`protected Thread` | `requestingThread`
`protected int` | `state` The state of the requestingThread
`protected int` | `stopOrder`
`protected static Comparator` | `taskComparator`
`protected int` | `threadTaskCount` The number of ThreadTasks remaining
`protected boolean` | `trace` The Logger trace level flag
`static int` | `WAIT_ON_EVENT`

Constructor Summary
`protected` | `ClassLoadingTask(String classname, RepositoryClassLoader requestingClassLoader, Thread requestingThread)`
`protected` | `ClassLoadingTask(String classname, RepositoryClassLoader requestingClassLoader, Thread requestingThread, int stopAt)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static org.jboss.logging.Logger log

### taskComparator

    protected static Comparator taskComparator

### FOUND_CLASS_LOADER

    public static final int FOUND_CLASS_LOADER

See Also:
  Constant Field Values

### NEXT_EVENT

    public static final int NEXT_EVENT

See Also:
  Constant Field Values

### WAIT_ON_EVENT

    public static final int WAIT_ON_EVENT

See Also:
  Constant Field Values

### FINISHED

    public static final int FINISHED

See Also:
  Constant Field Values

### classname

    protected String classname

### requestingThread

    protected Thread requestingThread

### requestingClassLoader

    protected RepositoryClassLoader requestingClassLoader

### loadedClass

    protected Class loadedClass

### loadOrder

    protected int loadOrder

### stopOrder

    protected int stopOrder

### loadException

    protected Throwable loadException

### threadTaskCount

    protected int threadTaskCount

  The number of ThreadTasks remaining

### state

    protected int state

  The state of the requestingThread

### trace

    protected boolean trace

  The Logger trace level flag

### numCCE

    protected int numCCE

Constructor Detail

### ClassLoadingTask

    protected ClassLoadingTask(String classname,
                               RepositoryClassLoader requestingClassLoader,
                               Thread requestingThread)

### ClassLoadingTask

    protected ClassLoadingTask(String classname,
                               RepositoryClassLoader requestingClassLoader,
                               Thread requestingThread,
                               int stopAt)

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.